/**
 *
 * @author	Dynamo
 * @addon	Dynamic Page Load
 *
 */
 
 // Current Version: 1.1

$(document).on('click', '.navPages', function(e){
  var url = $(this).attr('href');
  var page = (isNaN(parseInt($(this).text())) ? 0 : $(this).text());

  // Do some visual stuff
  var elSelector = ($('#forumposts').length) ? '#forumposts' : '#description_board, main';
  $(elSelector).css({'opacity': '0.5', 'cursor': 'wait'});

  // Scroll animation
  $('html, body').animate({scrollTop: $('.pagesection').offset().top + $('.pagesection').outerHeight() - (($('.forum_category').length) ? $('.forum_category').height() + 5 : 0)});

  // Fetch content
  $.get(url).done(function(html){
    // jQuery hates parsing body content. Surely there is a better way (eg regex)
    body = html.split('<body')[1].split('>').slice(1).join('>').split('</body>')[0];
    // Inject html!
    $(document.body).html(body);

    // Update browse history
    history.pushState({}, "Page " + page, url);
   
  }).fail(function(){
    // Something's wrong :S
    window.location = url;
  });

  // Don't navigate
  e.preventDefault();
});